// packageF/storeManagement/components/baseInfo_popup/stock_type_pop/stock_type_pop.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    defaultType:{
      type:[Number,Object,String]
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    radio:0
  },

  observers:{
    defaultType(){
      this.setData({
        radio:this.data.defaultType
      });
    }
  },

  /**
   * 组件的方法列表
   */
  methods: {
    showPopup(){
      this.setData({
        show:!this.data.show
      });
    },
    changeType(evt){
      this.setData({
        radio:evt.detail
      });
    },
    onClick(event) {
      const { name } = event.currentTarget.dataset;
      this.setData({
        radio: name,
      });
    },
    confirmType(){
      this.showPopup();
      this.triggerEvent("confirmType",this.data.radio);
    }
  }
});
